Subject: Re: [PATCH v3] git-svn: add --authors-prog option

From: Eric Wong <[email-masked]>
Date: Thu, 21 May 2009 01:43:43 -0700

Mark Lodato <[email-masked]> wrote:
> Signed-off-by: Mark Lodato <[email-masked]>

Thanks again Mark, sorry again for the late response, it's been
a long few weeks for me.

Acked-by: Eric Wong <[email-masked]>

And pushed out to git://git.bogomips.org/git-svn along with
a few others that I had acked:

Alex Vandiver (3):
      git-svn: Fix for svn paths removed > log-window-size revisions ago
      git-svn: Correctly report max revision when following deleted paths
      git-svn: Set svn.authorsfile if it is passed to git svn clone

Eygene Ryabinkin (1):
      git-svn testsuite: use standard configuration for Subversion tools

Mark Lodato (1):
      git-svn: add --authors-prog option

> ---
> 
> Third attempt at the patch.  I fixed a typo and reworded the documentation
> (thanks to Michael Gruber), and I fixed a small mistake in the commit message.
> Other than rebasing onto master, nothing else was changed.

A bunch of tests got broken but I squished this on top to fix them:

diff --git a/git-svn.perl b/git-svn.perl
index af80e24..a70c7d7 100755
--- a/git-svn.perl
+++ b/git-svn.perl
@@ -265,7 +265,9 @@ usage(0) if $_help;
 version() if $_version;
 usage(1) unless defined $cmd;
 load_authors() if $_authors;
-$_authors_prog = "'" . File::Spec->rel2abs($_authors_prog) . "'";
+if (defined $_authors_prog) {
+	$_authors_prog = "'" . File::Spec->rel2abs($_authors_prog) . "'";
+}
 
 unless ($cmd =~ /^(?:clone|init|multi-init|commit-diff)$/) {
 	Git::SVN::Migration::migration_check();

-- 
Eric Wong